package cn.com.countrygarden.bi.main.service.advise;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.advise.AfAdviseProcess;

/**
 * 建言处理节点-业务逻辑层
 *
 * @author 木木子
 * @email 944528607@qq.com
 * @url 
 * @date 2019-04-15
 */
public interface IAfAdviseProcessService {

    Result queryPageList(AfAdviseProcess afAdviseProcess, int page, int size);

    Result queryById(Integer id);

 

    Result del(Integer id);
/**
 * 添加/编辑建言节点（添加编辑回复）
 * @param data
 * @param accessToken
 * @return
 */
	Result addOrEdit(String data, AccessToken accessToken);

    Result rejdectProcess(Integer feedbackId, Integer isPrivate);
}